Shireen RFC240UF Coax Cable – 1000ft Spool, Ultraflex LMR240 Equivalent, 240UF
Shireen RFC240UF Coax Cable – 1000ft Spool, Ultraflex LMR240 Equivalent, 240UF
Hero image 0 of Shireen RFC240UF Coax Cable – 1000ft Spool, Ultraflex LMR240 Equivalent, 240UF
Popular pick

Shireen RFC240UF Coax Cable – 1000ft Spool, Ultraflex LMR240 Equivalent, 240UF

4.5 stars out of 10 reviews
(4.5)|
45 ratings

About this item

Need to run a clean, low-loss RF line?

RFC240 UltraFlex (UF) - 1000 foot spool > Bulk LMR® & RFC Coax Cable

This 1000-foot spool of Shireen RFC240UF coax cable is exactly what you’re looking for.

RFC195 - 1,000 Foot Spool > Bulk LMR® & RFC Coax Cable > Fleeman

It’s an ultraflexible cable, similar to LMR240UF, perfect for antenna feeds, two-way radio, or data installations.

Low Loss 400 Coax 250' foot Spool reel RFC400 Cinta400 LMR-400 LMR400 Shireen eB

The spool is brand new and factory-sealed.

New - Unopened - RG6 coax - 1000 ft spool -Riser Rated

Great for installers or hobbyists who need a solid roll of quality coax.

240UF Coax 1000' foot Spool reel RFC240UF Cinta240 LMR240UF Shireen ultraflex | Australia

Shireen brand, with UPC 855382004111.

RFC400WHT - 1000 ft Spool - Shireen Store

Low Loss 240 Coax 1000 Foot Spool Reel Rfc240 Cinta240 Lmr-240 Lmr240 Shireen

Shireen RFC240UF Ultraflex, LMR240UF Equivalent (1000ft

Low Loss 400 Coax 1000 Foot Spool Reel Rfc400 Cinta400 Lmr-400 Lmr400 Shireen

$ 271.75
Price when purchased online
  • Free shipping
  • Free 30-day returns

How do you want your item?

You get 30 days free! Choose a plan at checkout.
How do you want your item?
Sold and shipped by 88doorsmanagement.com
Free 30-day returns

Customer ratings & reviews

4.5 out of 5 stars
stars45 ratings10 reviews
How item rating is calculated
Filtered and sorted results would be available on the new 'Customer ratings & reviews' page.